Subject: Re: Fwd: tramp (2.2.13.25.1); ido virtual buffer interaction

From: Dave Abrahams <[email-masked]>
Date: Mon, 21 Nov 2016 13:33:24 -0800

on Mon Nov 21 2016, Michael Albinus <michael.albinus-AT-gmx.de> wrote:

> From:  Michael Albinus <[email-masked]>
> Subject: Re: tramp (2.2.13.25.1); ido virtual buffer interaction
> To:  Dave Abrahams <[email-masked]>
> Cc: [email-masked]
> Date: Mon, 21 Nov 2016 19:34:04 +0100 (2 hours, 52 minutes, 15 seconds ago)
>
> Dave Abrahams <[email-masked]> writes:
>
> Hi Dave,
>
>> Voilà:
>
> Thanks. And here is the story:
>
>>   expand-file-name("/wingy:tmp" nil)
>>   apply(expand-file-name ("/wingy:tmp" nil))
>>   tramp-completion-run-real-handler(expand-file-name ("/wingy:tmp" nil))
>>   tramp-completion-file-name-handler(expand-file-name "/wingy:tmp" nil)
>>   get-file-buffer("/wingy:tmp")
>>   ido-add-virtual-buffers-to-list()
>
> ido-add-virtual-buffers-to-list calls get-file-buffer. This calls
> expand-file-name, and Tramp becomes active. "/wingy:tmp" seems to be the
> file name related to the (still existing) buffer with the dead connection.
>
> There is no obvious solution, I will forward your report as Emacs bug,
> therefore.

Best workaround I have for now is to set `ido-use-virtual-buffers' to
'auto, which at least prevents it from invoking TRAMP until such a time
as I type a name for which there are no matches.  However, I'm guessing
`recentf-keep-default-predicate' might be fixed up to avoid this.

Thanks again,

-- 
-Dave